LOCAL_PATH:= $(call my-dir)

################################################################################
include $(CLEAR_VARS)

LOCAL_SRC_FILES :=  CameraHardware3Base.cpp \
                    CameraFactory.cpp \
                    Hal3Base.cpp \
                    CameraHal3.cpp \
                    CameraHardware3v2.cpp \
                    V4L2Device2Common.cpp \
                    V4L2Device2.cpp \
                    V4L2Device2Callback.cpp \
                    SwConverter.cpp \
                    CameraMetadata.cpp \

#                   V4L2Device2MJPG.cpp \
#                   VOWBCallback.cpp

LOCAL_SRC_FILES +=  misc/ExifHelper.cpp \
                    misc/FormatConvertHelper.cpp \
                    misc/misc.cpp \
                    misc/OMXDecodeHelper.cpp \
                    misc/OMXDecodeHelperCallback.cpp \
                    misc/JPEGCompressHelper.cpp \
                    misc/CameraParameters.cpp \

#                   misc/OMXComponentDecodeHelper.cpp \
#                   misc/Camera3VoWritebackHelper.cpp
#                   misc/CameraMonitor.cpp
#                   misc/YuvToJpegEncoder.cpp
#                   misc/MediaCodecDecodeHelper.cpp
#                   misc/NetlinkManager.cpp
#                   misc/NetlinkHandler.cpp

# exif files
LOCAL_SRC_FILES +=  jpegexif/exif-i18n.c \
                    jpegexif/jpeg-data.c \
                    jpegexif/jpeg-marker.c \

# jhead files
LOCAL_SRC_FILES +=  jhead/exif.c \
                    jhead/gpsinfo.c \
                    jhead/iptc.c \
                    jhead/jhead.c \
                    jhead/jpgfile.c \
                    jhead/makernote.c

LOCAL_C_INCLUDES := frameworks/base/include/ui \
                    frameworks/base/include/utils \
                    frameworks/av/include \
                    frameworks/av/include/media/stagefright \
                    frameworks/native/include/media/openmax \
                    device/realtek/proprietary/libs/Include \
                    device/realtek/proprietary/libs \
                    device/realtek/proprietary/libs/libRTKAllocator/include \
                    system/media/camera/include \
                    system/core/include \
                    hardware/realtek \
                    hardware/libhardware_legacy/include \
                    device/realtek/proprietary/libs/vo_writeback \
                    system/core/libsync \
                    hardware/realtek/omx-il-rtk/include/rpc \
                    external/jpeg \
                    external/libexif \
                    external/libyuv/files/include \

LOCAL_C_INCLUDES += $(LOCAL_PATH)/jpegexif \
                    $(LOCAL_PATH)/jpegexif/libjpeg \
                    $(LOCAL_PATH)/misc \
                    $(LOCAL_PATH)/jpegexif \
                    $(LOCAL_PATH)/jpegexif/libjpeg \
                    $(LOCAL_PATH)/jhead \

LOCAL_SHARED_LIBRARIES := \
                    libui \
                    libbinder \
                    libutils \
                    liblog \
                    libcutils \
                    libexif \
                    libhardware \
                    libhardware_legacy \
                    libsysutils \
                    libcamera_metadata \
                    libsync \
                    libstagefright_foundation \
                    libyuv \
                    libjpeg \

LOCAL_STATIC_LIBRARIES := \
                    libyuv_static \

LOCAL_CPPFLAGS += -Werror
LOCAL_CPPFLAGS += $(DEFINES)

ifeq ($(TARGET_BOARD_PLATFORM), rtd284x)
LOCAL_CPPFLAGS += -DRTD_284X
else ifeq ($(TARGET_BOARD_PLATFORM), rtd285x)
LOCAL_CPPFLAGS += -DRTD_285X
else ifeq ($(TARGET_BOARD_PLATFORM), rtd285o)
LOCAL_CPPFLAGS += -DRTD_285O
else ifeq ($(TARGET_BOARD_PLATFORM), rtd287x)
LOCAL_CPPFLAGS += -DRTD_287X
else ifeq ($(TARGET_BOARD_PLATFORM), rtd287o)
LOCAL_CPPFLAGS += -DRTD_287O
endif

LOCAL_MODULE_RELATIVE_PATH := hw

LOCAL_MODULE:= camera.$(TARGET_BOARD_PLATFORM)
LOCAL_MODULE_TAGS:= optional
LOCAL_PROPRIETARY_MODULE := true

include $(BUILD_SHARED_LIBRARY)

################################################################################

