#ifndef CAM_HAL3_DEBUG_H
#define CAM_HAL3_DEBUG_H

#include <log/log.h>

#ifndef LITERAL_TO_STRING
#define LITERAL_TO_STRING(x)    #x
#endif

#ifndef CHECK
#define CHECK(condition) LOG_ALWAYS_FATAL_IF(!(condition), "%s", __FILE__ ":" LITERAL_TO_STRING(__LINE__) " CHECK(" #condition ") failed.")
#endif

#define LOG_VV 0
#if LOG_VV
#define LOGVV(...) LOGV(__VA_ARGS__)
#else
#define LOGVV(...) do{ }while(0)
#endif

#define LOG_FUNCTION 1
#if LOG_FUNCTION
#define LOG_FUNCTION_NAME() ALOGV("FUNC: %s[%d]", __FUNCTION__, __LINE__);
#define LOG_FUNCTION_END() ALOGV("FUNC: %s[%d] End", __FUNCTION__, __LINE__);
#else
#define LOG_FUNCTION_NAME() do{ }while(0)
#define LOG_FUNCTION_END() do{ }while(0)
#endif

#endif
